Skip to main content

Retrieve an account’s details

GET /v2/accounts/{accountId}

Request

Use this request to retrieve details about a given account, based on its accountId. The response will contain either personal or business details, such as the account name, the primary owner of the account, and enabled features.
curl -i -X GET \
  'https://api.equalsmoney.com/v2/accounts/F12345' \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE'
You can use the optional include parameter to retrieve additional information, such as currencies configured on the account.

Path parameters

accountId
string
required
The ID of the account for which you want to retrieve details.Allowable values: An existing accountId

Query parameters

personId
string
The ID of the person to filter results by.Allowable values: An existing personId (≤ 36 characters)
include
array of any
Optional embeds to include when returning the account details. For example, include=currencies.Allowable values: addresses, currencies, primaryOwner, spot, market, settings

Response

If your request is successful, you’ll receive a 200 response. The contents of this response will vary depending on whether the account is a business account or a personal account.

Business account

{
  "id": "F12345",
  "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
  "marketId": "091505ff-55e1-11ed-9dd3-06e3d0fbf8b0",
  "bankEntity": "ACME",
  "type": "Business",
  "status": "active",
  "primaryOwnerPersonaId": "4d7685cf-7f3e-4e8a-add9-2a13fc36c13e",
  "termsAccepted": true,
  "privacyAccepted": true,
  "salesperson": "Equals Money",
  "accountManager": "Equals Money",
  "solutions": false,
  "tier": "NotTraded",
  "currentRiskLevel": "Low",
  "createdAt": "2024-02-02T12:45:48.000Z",
  "updatedAt": "2024-02-02T12:48:04.000Z",
  "business": {
    "logo": {
      "url": "",
      "fileName": ""
    },
    "accountId": "F12345",
    "name": "ACME & SONS",
    "countryOfRegistration": "",
    "companyType": "ltd",
    "companiesHouseId": " ",
    "telephoneNumber": "+447111222333",
    "timezone": "Europe/London",
    	"registeredName": "ACME & SONS",
    "fourthLine": "",
    "tradingName": "ACME & SONS",
    "website": "",
    "industry": "",
    "createdAt": "2024-02-02T12:45:48.000Z",
    "updatedAt": "2024-02-02T12:45:48.000Z"
  },
  "personal": null,
  "features": {
    "id": "3e3bd241-e853-4830-98ce-216b0586d6cc",
    "cards": false,
    "physicalCards": "inactive",
    "virtualCards": "inactive",
    "microCorp": false,
    "payments": true,
    "sharedCardProductId": "23ada04b-5b3b-4b73-8343-da3f14d8d96f",
    "individualVirtualCardProductId": "23ada04b-5b3b-4b73-8343-da3f14d8d96f",
    "individualPhysicalCardProductId": "4ac7a04a-da92-4785-add0-5168abf05683",
    "useBalanceName": false,
    "forwardContracts": false,
    "sourceOfBalance": "boxes",
    "cardsIndividualType": "prepaid",
    "cardsSharedType": "prepaid",
    "statementsFrom": "2024-02-02T12:47:01.000Z",
    "selfApprove": false,
    "apiIgnorePaymentApproval": true,
    "moveMoneyRequests": false,
    "subBalances": false,
    "autoCreditToFundsHeld": false,
    "dualAuthorise": false,
    "freeInternalTransfers": false,
    "createdAt": "2024-01-31T11:05:04.000Z",
    "updatedAt": "2024-01-31T11:05:04.000Z"
  }
}

Personal account

{
  "id": "F54321",
  "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
  "marketId": "091505ff-55e1-11ed-9dd3-06e3d0fbf8b0",
  "bankEntity": "BARC",
  "type": "Personal",
  "status": "active",
  "primaryOwnerPersonaId": "5f663cf7-ee33-4f44-b9b7-cfaa5aecce1d",
  "termsAccepted": true,
  "privacyAccepted": true,
  "salesperson": "Equals Money",
  "accountManager": "Equals Money",
  "solutions": false,
  "tier": "NotTraded",
  "currentRiskLevel": "Low",
  "createdAt": "2024-02-02T12:49:59.000Z",
  "updatedAt": "2024-02-02T12:54:19.000Z",
  "business": null,
  "personal": {
    "logo": {
      "url": "",
      "fileName": ""
    },
    "accountId": "F54321",
    "name": "George Grant",
    "countryOfRegistration": null,
    "companyType": null,
    "companiesHouseId": null,
    "telephoneNumber": "+447111222333",
    "timezone": "Europe/London",
    "registeredName": null,
    "tradingName": "George Grant",
    "website": null,
    "industry": null,
    "createdAt": "2024-02-02T12:49:59.000Z",
    "updatedAt": "2024-02-02T12:49:59.000Z"
  },
  "features": {
    "id": "51a50b73-4523-4607-9495-f020bc25a1c6",
    "cards": false,
    "physicalCards": "inactive",
    "virtualCards": "inactive",
    "microCorp": false,
    "payments": true,
    "sharedCardProductId": "23ada04b-5b3b-4b73-8343-da3f14d8d96f",
    "individualVirtualCardProductId": "23ada04b-5b3b-4b73-8343-da3f14d8d96f",
    "individualPhysicalCardProductId": "4ac7a04a-da92-4785-add0-5168abf05683",
    "useBalanceName": false,
    "forwardContracts": false,
    "sourceOfBalance": "boxes",
    "cardsIndividualType": "prepaid",
    "cardsSharedType": "prepaid",
    "statementsFrom": "2024-02-02T12:53:16.000Z",
    "selfApprove": false,
    "apiIgnorePaymentApproval": true,
    "moveMoneyRequests": false,
    "subBalances": false,
    "autoCreditToFundsHeld": false,
    "dualAuthorise": false,
    "freeInternalTransfers": false,
    "createdAt": "2024-01-31T11:05:04.000Z",
    "updatedAt": "2024-01-31T11:05:04.000Z"
  }
}
For more detailed information about this request and its response, see the API reference.

List all accounts

GET /v2/accounts

Request

Use this request to get a list of all the accounts that you can access. Results are ordered chronologically, by creation date.
curl -i -X GET \
  'https://api.equalsmoney.com/v2/accounts' \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE'

Query parameters

limit
integer
The maximum number of items to return. For example, limit=25. By default, this is set to 100.Allowable values: [ 1 .. 100000 ]
offset
integer
The number of items to skip before returning the results. For example, offset=200. By default, this is set to 0.Allowable values: A valid integer
primaryEmailAddress
string
Filter results by primary email address.Allowable values: A valid string

Response

If your request is successful, you’ll receive a 200 response.
{
  "count": 2,
  "limit": 100,
  "offset": 0,
  "rows": [
    {
      "id": "F54321",
      "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
      "marketId": "091505ff-55e1-11ed-9dd3-06e3d0fbf8b0",
      "bankEntity": "BARC",
      "type": "Personal",
      "status": "active",
      "primaryOwnerPersonaId": "5f663cf7-ee33-4f44-b9b7-cfaa5aecce1d",
      "termsAccepted": true,
      "privacyAccepted": true,
      "salesperson": "Equals Money",
      "accountManager": "Equals Money",
      "solutions": false,
      "tier": "NotTraded",
      "currentRiskLevel": "Low",
      "createdAt": "2024-02-02T12:49:59.000Z",
      "updatedAt": "2024-02-02T12:54:19.000Z",
      "business": null,
      "personal": {
        "logo": {
          "url": "",
          "fileName": ""
        },
        "accountId": "F54321",
        "name": "George Grant",
        "countryOfRegistration": null,
        "companyType": null,
        "companiesHouseId": null,
        "telephoneNumber": "+447111222333",
        "timezone": "Europe/London",
        "registeredName": null,
        "tradingName": "George Grant",
        "website": null,
        "industry": null,
        "createdAt": "2024-02-02T12:49:59.000Z",
        "updatedAt": "2024-02-02T12:49:59.000Z"
      },
      "features": {
        "id": "51a50b73-4523-4607-9495-f020bc25a1c6",
        "cards": false,
        "physicalCards": "inactive",
        "virtualCards": "inactive",
        "microCorp": false,
        "payments": true,
        "sharedCardProductId": "23ada04b-5b3b-4b73-8343-da3f14d8d96f",
        "individualVirtualCardProductId": "23ada04b-5b3b-4b73-8343-da3f14d8d96f",
        "individualPhysicalCardProductId": "4ac7a04a-da92-4785-add0-5168abf05683",
        "useBalanceName": false,
        "forwardContracts": false,
        "sourceOfBalance": "boxes",
        "cardsIndividualType": "prepaid",
        "cardsSharedType": "prepaid",
        "statementsFrom": "2024-02-02T12:53:16.000Z",
        "selfApprove": false,
        "apiIgnorePaymentApproval": true,
        "moveMoneyRequests": false,
        "subBalances": false,
        "autoCreditToFundsHeld": false,
        "dualAuthorise": false,
        "freeInternalTransfers": false,
        "createdAt": "2024-01-31T11:05:04.000Z",
        "updatedAt": "2024-01-31T11:05:04.000Z"
      }
    },
    {
      "id": "F12345",
      "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
      "marketId": "091505ff-55e1-11ed-9dd3-06e3d0fbf8b0",
      "bankEntity": "ACME",
      "type": "Business",
      "status": "active",
      "primaryOwnerPersonaId": "4d7685cf-7f3e-4e8a-add9-2a13fc36c13e",
      "termsAccepted": true,
      "privacyAccepted": true,
      "salesperson": "Equals Money",
      "accountManager": "Equals Money",
      "solutions": false,
      "tier": "NotTraded",
      "currentRiskLevel": "Low",
      "createdAt": "2024-02-02T12:45:48.000Z",
      "updatedAt": "2024-02-02T12:48:04.000Z",
      "business": {
        "logo": {
          "url": "",
          "fileName": ""
        },
        "accountId": "F12345",
        "name": "ACME & SONS",
        "countryOfRegistration": "",
        "companyType": "ltd",
        "companiesHouseId": " ",
        "telephoneNumber": "+447111222333",
        "timezone": "Europe/London",
          "registeredName": "ACME & SONS",
        "fourthLine": "",
        "tradingName": "ACME & SONS",
        "website": "",
        "industry": "",
        "createdAt": "2024-02-02T12:45:48.000Z",
        "updatedAt": "2024-02-02T12:45:48.000Z"
      },
      "personal": null,
      "features": {
        "id": "3e3bd241-e853-4830-98ce-216b0586d6cc",
        "cards": false,
        "physicalCards": "inactive",
        "virtualCards": "inactive",
        "microCorp": false,
        "payments": true,
        "sharedCardProductId": "23ada04b-5b3b-4b73-8343-da3f14d8d96f",
        "individualVirtualCardProductId": "23ada04b-5b3b-4b73-8343-da3f14d8d96f",
        "individualPhysicalCardProductId": "4ac7a04a-da92-4785-add0-5168abf05683",
        "useBalanceName": false,
        "forwardContracts": false,
        "sourceOfBalance": "boxes",
        "cardsIndividualType": "prepaid",
        "cardsSharedType": "prepaid",
        "statementsFrom": "2024-02-02T12:47:01.000Z",
        "selfApprove": false,
        "apiIgnorePaymentApproval": true,
        "moveMoneyRequests": false,
        "subBalances": false,
        "autoCreditToFundsHeld": false,
        "dualAuthorise": false,
        "freeInternalTransfers": false,
        "createdAt": "2024-01-31T11:05:04.000Z",
        "updatedAt": "2024-01-31T11:05:04.000Z"
      }
    }
  ]
}
For more detailed information about this request and its response, see the API reference.